import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditForm } from './main7';

import { AppTimePickerModule } from '@components/app-time-picker/app-time-picker.module';
import { AppDatePickerModule } from '@components/app-date-picker/app-date-picker.module';
import { AppSelectModule } from '@components/app-select/app-select.module';
import { AppRadioModule } from '@components/app-radio/app-radio.module';
import { AppCheckboxListModule } from '@components/app-checkbox-list/app-checkbox-list.module';
import { AppCheckboxModule } from '@components/app-checkbox/app-checkbox.module';
import { AppImageUploadModule } from '@components/app-image-upload/app-image-upload.module';
import { AppFileUploadModule } from '@components/app-file-upload/app-file-upload.module';

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    AppDatePickerModule,
    AppTimePickerModule,
    AppSelectModule,
    AppRadioModule,
    AppCheckboxListModule,
    AppCheckboxModule,
    AppImageUploadModule,
    AppFileUploadModule
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [EditForm],
  exports: [EditForm]
})
export class EditFormModule { }
